summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCaleb Tennis <caleb@gentoo.org>2007-07-31 13:41:14 +0000
committerCaleb Tennis <caleb@gentoo.org>2007-07-31 13:41:14 +0000
commit1069c226b6e775e220d8a9328b4f2ba877f700e3 (patch)
treea172160f57e99d30ac060964a2409953f6d2024c
parentAdding eqmake from bug #120116 (diff)
downloadgentoo-2-1069c226b6e775e220d8a9328b4f2ba877f700e3.tar.gz
gentoo-2-1069c226b6e775e220d8a9328b4f2ba877f700e3.tar.bz2
gentoo-2-1069c226b6e775e220d8a9328b4f2ba877f700e3.zip
Adding eqmake from bug #120116
-rw-r--r--eclass/qt3.eclass70
1 files changed, 68 insertions, 2 deletions
diff --git a/eclass/qt3.eclass b/eclass/qt3.eclass
index b86a88bbab78..17717867d7e7 100644
--- a/eclass/qt3.eclass
+++ b/eclass/qt3.eclass
@@ -1,6 +1,6 @@
# Copyright 2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt3.eclass,v 1.26 2007/03/30 12:45:22 caleb Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt3.eclass,v 1.27 2007/07/31 13:41:14 caleb Exp $
#
# Author Caleb Tennis <caleb@gentoo.org>
#
@@ -14,7 +14,7 @@
#
# Currently, the ebuild assumes that a minimum version of Qt3 is NOT satisfied by Qt4
-inherit versionator
+inherit toolchain-funcs versionator
QTPKG="x11-libs/qt-"
QT3MAJORVERSIONS="3.3 3.2 3.1 3.0"
@@ -63,3 +63,69 @@ qt_min_version_list() {
echo ${VERSIONS}
}
+
+eqmake3() {
+ local LOGFILE="${T}/qmake-$$.out"
+ local projprofile="${1}"
+ [ -z ${projprofile} ] && projprofile="${PN}.pro"
+ shift 1
+
+ ebegin "Processing qmake ${projprofile}"
+
+ # file exists?
+ if [ ! -f ${projprofile} ]; then
+ echo
+ eerror "Project .pro file \"${projprofile}\" does not exists"
+ eerror "qmake cannot handle non-existing .pro files"
+ echo
+ eerror "This shouldn't happen - please send a bug report to bugs.gentoo.org"
+ echo
+ die "Project file not found in ${PN} sources"
+ fi
+
+ echo >> ${LOGFILE}
+ echo "****** qmake ${projprofile} ******" >> ${LOGFILE}
+ echo >> ${LOGFILE}
+
+ # some standard config options
+ local configoptplus="CONFIG += no_fixpath"
+ local configoptminus="CONFIG -="
+ if use debug; then
+ configoptplus="${configoptplus} debug"
+ configoptminus="${configoptminus} release"
+ else
+ configoptplus="${configoptplus} release"
+ configoptminus="${configoptminus} debug"
+ fi
+
+ ${QTDIR}/bin/qmake ${projprofile} \
+ QMAKE=${QTDIR}/bin/qmake \
+ QMAKE_CC=$(tc-getCC) \
+ QMAKE_CXX=$(tc-getCXX) \
+ QMAKE_LINK=$(tc-getCXX) \
+ QMAKE_CFLAGS_RELEASE="${CFLAGS}" \
+ QMAKE_CFLAGS_DEBUG="${CFLAGS}" \
+ QMAKE_CXXFLAGS_RELEASE="${CXXFLAGS}" \
+ QMAKE_CXXFLAGS_DEBUG="${CXXFLAGS}" \
+ QMAKE_LFLAGS_RELEASE="${LDFLAGS}" \
+ QMAKE_LFLAGS_DEBUG="${LDFLAGS}" \
+ "${configoptminus}" \
+ "${configoptplus}" \
+ QMAKE_RPATH= \
+ ${@} >> ${LOGFILE} 2>&1
+
+ local result=$?
+ eend ${result}
+
+ # was qmake successful?
+ if [ ${result} -ne 0 ]; then
+ echo
+ eerror "Running qmake on \"${projprofile}\" has failed"
+ echo
+ eerror "This shouldn't happen - please send a bug report to bugs.gentoo.org"
+ echo
+ die "qmake failed on ${projprofile}"
+ fi
+
+ return ${result}
+}